---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libgetjniftab001.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x50930, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x52870, symBinAddr: 0xE120, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x52C60, symBinAddr: 0xE510, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x53C00, symBinAddr: 0xF4B0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x53C10, symBinAddr: 0xF4C0, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x50590, symBinAddr: 0xC080, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x50594, symBinAddr: 0xC084, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x50598, symBinAddr: 0xC088, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x506F0, symBinAddr: 0xC090, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x507A8, symBinAddr: 0xC148, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x507AC, symBinAddr: 0xC14C, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x507B0, symBinAddr: 0xC150, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x507B4, symBinAddr: 0xC154, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x507B8, symBinAddr: 0xC158, symSize: 0x0 }
  - { offsetInCU: 0x8EEA, offset: 0x8EEA, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x507C0, symBinAddr: 0xC160, symSize: 0x0 }
  - { offsetInCU: 0x8F73, offset: 0x8F73, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x507D8, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x8F8C, offset: 0x8F8C, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x507E0, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x8FA5, offset: 0x8FA5, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x507E8, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x8FBE, offset: 0x8FBE, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x507F0, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x8FD8, offset: 0x8FD8, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x507F8, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x90BE, offset: 0x90BE, size: 0x8, addend: 0x0, symName: __ZL11redir_calls, symObjAddr: 0x5083C, symBinAddr: 0xC1AC, symSize: 0x0 }
  - { offsetInCU: 0x90D7, offset: 0x90D7, size: 0x8, addend: 0x0, symName: __ZL7verbose, symObjAddr: 0x50840, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x90F7, offset: 0x90F7, size: 0x8, addend: 0x0, symName: __ZL18orig_jni_functions, symObjAddr: 0x50848, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x9110, offset: 0x9110, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x50850, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x9129, offset: 0x9129, size: 0x8, addend: 0x0, symName: __ZL19redir_jni_functions, symObjAddr: 0x50890, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x9142, offset: 0x9142, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x50858, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x919B, offset: 0x919B, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x4200, symSize: 0x80 }
  - { offsetInCU: 0x9230, offset: 0x9230, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x4150, symSize: 0xB0 }
  - { offsetInCU: 0x928B, offset: 0x928B, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x4050, symSize: 0x100 }
  - { offsetInCU: 0x951E, offset: 0x951E, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x4280, symSize: 0x220 }
  - { offsetInCU: 0x9703, offset: 0x9703, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x44A0, symSize: 0xA0 }
  - { offsetInCU: 0x97B6, offset: 0x97B6, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x4540, symSize: 0x110 }
  - { offsetInCU: 0x98AC, offset: 0x98AC, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x4650, symSize: 0x150 }
  - { offsetInCU: 0x99FD, offset: 0x99FD, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x47A0, symSize: 0x30 }
  - { offsetInCU: 0x9A86, offset: 0x9A86, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x47D0, symSize: 0x150 }
  - { offsetInCU: 0x9C7E, offset: 0x9C7E, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x4920, symSize: 0x160 }
  - { offsetInCU: 0x9E0A, offset: 0x9E0A, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x4A80, symSize: 0x1B0 }
  - { offsetInCU: 0xA025, offset: 0xA025, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x4C30, symSize: 0xA0 }
  - { offsetInCU: 0xA0F4, offset: 0xA0F4, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x4CD0, symSize: 0x20 }
  - { offsetInCU: 0xA12B, offset: 0xA12B, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x4CF0, symSize: 0x20 }
  - { offsetInCU: 0xA162, offset: 0xA162, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x4D10, symSize: 0x20 }
  - { offsetInCU: 0xA2D1, offset: 0xA2D1, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x4D30, symSize: 0x1A0 }
  - { offsetInCU: 0xA5F7, offset: 0xA5F7, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x4ED0, symSize: 0x80 }
  - { offsetInCU: 0xA6C0, offset: 0xA6C0, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x4F50, symSize: 0x6A0 }
  - { offsetInCU: 0xB255, offset: 0xB255, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA190, symBinAddr: 0x61E0, symSize: 0xB0 }
  - { offsetInCU: 0xB2CC, offset: 0xB2CC, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x55F0, symSize: 0x70 }
  - { offsetInCU: 0xB368, offset: 0xB368, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x5660, symSize: 0xA0 }
  - { offsetInCU: 0xB447, offset: 0xB447, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x5700, symSize: 0x40 }
  - { offsetInCU: 0xB53D, offset: 0xB53D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x5740, symSize: 0x2B0 }
  - { offsetInCU: 0xB8E3, offset: 0xB8E3, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x59F0, symSize: 0xC0 }
  - { offsetInCU: 0xBA29, offset: 0xBA29, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x5AB0, symSize: 0x10 }
  - { offsetInCU: 0xBAEB, offset: 0xBAEB, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x5AC0, symSize: 0x220 }
  - { offsetInCU: 0xBE21, offset: 0xBE21, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x5CE0, symSize: 0x90 }
  - { offsetInCU: 0xBEEC, offset: 0xBEEC, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9D20, symBinAddr: 0x5D70, symSize: 0x90 }
  - { offsetInCU: 0xBFB7, offset: 0xBFB7, size: 0x8, addend: 0x0, symName: _MyGetVersion, symObjAddr: 0x9DB0, symBinAddr: 0x5E00, symSize: 0x40 }
  - { offsetInCU: 0xC078, offset: 0xC078, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_GetJNIFunctionTable_getjniftab001_check, symObjAddr: 0x9DF0, symBinAddr: 0x5E40, symSize: 0x280 }
  - { offsetInCU: 0xC305, offset: 0xC305, size: 0x8, addend: 0x0, symName: __ZL10checkRedirP7JNIEnv_i, symObjAddr: 0xA070, symBinAddr: 0x60C0, symSize: 0x120 }
  - { offsetInCU: 0xC3F7, offset: 0xC3F7, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA240, symBinAddr: 0x6290, symSize: 0x36A }
...
